typedef unsigned int word;
typedef unsigned char byte;

#define PRIVAT 1;
#define CRASH 2;
#define RECD 4;
#define SENT 8;
#define FILEATTACH 16;
#define INTRANSIT 32;
#define ORPHAN 64;
#define KILLSENT 128;
#define LOCAL 256;
#define HOLD 512;
#define UNUSED 1024;
#define FILEREQUEST 2048;
#define RETURNRECEIPTREQUEST 4096;
#define ISRETURNRECEIPTREQUEST 8192;
#define AUDITREQUEST 16384;
#define FILEUPDATEREQ 32768;

struct TMMIL
{
  char *tag;
  word majorver;
  word minorver;
  word MsgNumber;
  char *fromName;
  word Zone;
  word Net;
  word Node;
  word Point;
  char *Subject;
  word Level;
  char *Key;
  char *define;
  char *cmline;
}Tmmil;

void freadmmil(char *path, struct TMMIL *mmil);
void deletemmill(struct TMMIL *mmil);