{ MailMan Information Layer }
{ The File MMIL.DAT can be read to have informations about the Mail,
  which let MM to intervene and operate and the %* string }

{ Pascal structure }
const
  KL_PRIVAT = 1;
  KL_CRASH = 2;
  KL_RECD = 4;
  KL_SENT = 8;
  KL_FILEATTACH = 16;
  KL_INTRANSIT = 32;
  KL_ORPHAN = 64;
  KL_KILLSENT = 128;
  KL_LOCAL = 256;
  KL_HOLD = 512;
  KL_UNUSED = 1024;
  KL_FILEREQUEST = 2048;
  KL_RETURNRECEIPTREQUEST = 4096;
  KL_ISRETURNRECEIPTREQUEST = 8192;
  KL_AUDITREQUEST = 16384;
  KL_FILEUPDATEREQ = 32768;

type
  TMMIL = record
            tag        : string[2];
            majorver   : Word;
            minorver   : Word;
            MsgNumber  : Word;
            fromName   : string[36];
            Zone       : Word;
            Net        : Word;
            Node       : Word;
            Point      : Word;
            Subject    : string[72];
            level      : Word;
            key        : string[26];
            define     : string;
            cmLine     : string;
          end;

procedure freadmmil(path : string;var mmil : TMMIL);

var
  f : file;

begin
  filemode := 64;
  assign(f, path);
  reset(f,1);
  blockread(f, mmil, sizeof(mmil));
  close(f);
end;
